Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.component.html
Class HtmlPanelMenuItem

    java.lang.Object
      javax.faces.component.UIComponent
          javax.faces.component.UIComponentBase
              javax.faces.component.UICommand
                  org.richfaces.component.UIPanelMenuItem
                      org.richfaces.component.html.HtmlPanelMenuItem

All Implemented Interfaces:
  javax.faces.component.ActionSource, javax.faces.component.StateHolder

    public class HtmlPanelMenuItem

extends UIPanelMenuItem

Component-Type org.richfaces.PanelMenuItem Component-Family org.richfaces.PanelMenuItem Renderer-Type org.richfaces.PanelMenuItemRenderer Defines single Item inside popup list.

Field Summary
`static java.lang.String` | `COMPONENT_FAMILY`
`static java.lang.String` | `COMPONENT_TYPE`

Constructor Summary
`HtmlPanelMenuItem()` Constructor to init default renderers

Method Summary
`java.lang.String` | `getDisabledClass()` Class to be applied to disabled items.
`java.lang.String` | `getDisabledStyle()` CSS style rules to be applied to disabled items.
`java.lang.String` | `getFamily()`
`java.lang.String` | `getHoverClass()` Class to be applied to hovered items.
`java.lang.String` | `getHoverStyle()` CSS style rules to be applied to hovered items.
`java.lang.String` | `getIcon()` Path to the icon or the default one name to be displayed for the enabled item state Getter for icon
`java.lang.String` | `getIconClass()` Class to be applied to icon element.
`java.lang.String` | `getIconDisabled()` Path to the icon to be displayed for the disabled item state Getter for iconDisabled
`java.lang.String` | `getIconStyle()` CSS style rules to be applied Getter for iconStyle
`java.lang.Object` | `getLabel()` Defines representation text for menuItem.
`java.lang.String` | `getMode()` Set the submission mode (ajax,server(Default),none) Getter for mode
`java.lang.String` | `getName()` 'selectedChild' attribute of PanelMenu refers to group/item with the same name Getter for name
`java.lang.String` | `getOnclick()` HTML: a script expression; a pointer button is clicked Getter for onclick
`java.lang.String` | `getOndblclick()` HTML: a script expression; a pointer button is double-clicked Getter for ondblclick
`java.lang.String` | `getOnkeydown()` HTML: a script expression; a key is pressed down Getter for onkeydown
`java.lang.String` | `getOnkeypress()` HTML: a script expression; a key is pressed and released Getter for onkeypress
`java.lang.String` | `getOnkeyup()` HTML: a script expression; a key is released Getter for onkeyup
`java.lang.String` | `getOnmousedown()` HTML: script expression; a pointer button is pressed down Getter for onmousedown
`java.lang.String` | `getOnmousemove()` HTML: a script expression; a pointer is moved within Getter for onmousemove
`java.lang.String` | `getOnmouseout()` HTML: a script expression; a pointer is moved away Getter for onmouseout
`java.lang.String` | `getOnmouseover()` HTML: a script expression; a pointer is moved onto Getter for onmouseover
`java.lang.String` | `getOnmouseup()` HTML: script expression; a pointer button is released Getter for onmouseup
`java.lang.String` | `getStyle()` CSS style(s) is/are to be applied when this component is rendered Getter for style
`java.lang.String` | `getStyleClass()` Corresponds to the HTML class attribute Getter for styleClass
`java.lang.String` | `getTarget()` Target frame for action to execute.
`boolean` | `isDisabled()` If “true” sets state of the item to disabled state.
`void` | `restoreState(javax.faces.context.FacesContext context, java.lang.Object state)`
`java.lang.Object` | `saveState(javax.faces.context.FacesContext context)`
`void` | `setDisabled(boolean __disabled)` If “true” sets state of the item to disabled state.
`void` | `setDisabledClass(java.lang.String __disabledClass)` Class to be applied to disabled items.
`void` | `setDisabledStyle(java.lang.String __disabledStyle)` CSS style rules to be applied to disabled items.
`void` | `setHoverClass(java.lang.String __hoverClass)` Class to be applied to hovered items.
`void` | `setHoverStyle(java.lang.String __hoverStyle)` CSS style rules to be applied to hovered items.
`void` | `setIcon(java.lang.String __icon)` Path to the icon or the default one name to be displayed for the enabled item state Setter for icon
`void` | `setIconClass(java.lang.String __iconClass)` Class to be applied to icon element.
`void` | `setIconDisabled(java.lang.String __iconDisabled)` Path to the icon to be displayed for the disabled item state Setter for iconDisabled
`void` | `setIconStyle(java.lang.String __iconStyle)` CSS style rules to be applied Setter for iconStyle
`void` | `setLabel(java.lang.Object __label)` Defines representation text for menuItem.
`void` | `setMode(java.lang.String __mode)` Set the submission mode (ajax,server(Default),none) Setter for mode
`void` | `setName(java.lang.String __name)` 'selectedChild' attribute of PanelMenu refers to group/item with the same name Setter for name
`void` | `setOnclick(java.lang.String __onclick)` HTML: a script expression; a pointer button is clicked Setter for onclick
`void` | `setOndblclick(java.lang.String __ondblclick)` HTML: a script expression; a pointer button is double-clicked Setter for ondblclick
`void` | `setOnkeydown(java.lang.String __onkeydown)` HTML: a script expression; a key is pressed down Setter for onkeydown
`void` | `setOnkeypress(java.lang.String __onkeypress)` HTML: a script expression; a key is pressed and released Setter for onkeypress
`void` | `setOnkeyup(java.lang.String __onkeyup)` HTML: a script expression; a key is released Setter for onkeyup
`void` | `setOnmousedown(java.lang.String __onmousedown)` HTML: script expression; a pointer button is pressed down Setter for onmousedown
`void` | `setOnmousemove(java.lang.String __onmousemove)` HTML: a script expression; a pointer is moved within Setter for onmousemove
`void` | `setOnmouseout(java.lang.String __onmouseout)` HTML: a script expression; a pointer is moved away Setter for onmouseout
`void` | `setOnmouseover(java.lang.String __onmouseover)` HTML: a script expression; a pointer is moved onto Setter for onmouseover
`void` | `setOnmouseup(java.lang.String __onmouseup)` HTML: script expression; a pointer button is released Setter for onmouseup
`void` | `setStyle(java.lang.String __style)` CSS style(s) is/are to be applied when this component is rendered Setter for style
`void` | `setStyleClass(java.lang.String __styleClass)` Corresponds to the HTML class attribute Setter for styleClass
`void` | `setTarget(java.lang.String __target)` Target frame for action to execute.

Methods inherited from class javax.faces.component.UICommand
`addActionListener, broadcast, getAction, getActionListener, getActionListeners, getValue, isImmediate, queueEvent, removeActionListener, setAction, setActionListener, setImmediate, setValue`

Methods inherited from class javax.faces.component.UIComponentBase
`addFacesListener, decode, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientId, getFacesContext, getFacesListeners, getFacet, getFacets, getFacetsAndChildren, getId, getParent, getRenderer, getRendererType, getRendersChildren, getValueBinding, isRendered, isTransient, processDecodes, processRestoreState, processSaveState, processUpdates, processValidators, removeFacesListener, restoreAttachedState, saveAttachedState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### COMPONENT_TYPE

    public static final java.lang.String COMPONENT_TYPE

See Also:
  Constant Field Values

### COMPONENT_FAMILY

    public static final java.lang.String COMPONENT_FAMILY

See Also:
  Constant Field Values

Constructor Detail

### HtmlPanelMenuItem

    public HtmlPanelMenuItem()

  Constructor to init default renderers

Method Detail

### setHoverClass

    public void setHoverClass(java.lang.String __hoverClass)

  Class to be applied to hovered items. Setter for hoverClass

  Specified by:
    `setHoverClass` in class `UIPanelMenuItem`
  Parameters:
    `hoverClass` - - new value

### getHoverClass

    public java.lang.String getHoverClass()

  Class to be applied to hovered items. Getter for hoverClass

  Specified by:
    `getHoverClass` in class `UIPanelMenuItem`
  Returns:
    hoverClass value from local variable or value bindings

### setDisabledStyle

    public void setDisabledStyle(java.lang.String __disabledStyle)

  CSS style rules to be applied to disabled items. Setter for disabledStyle

  Specified by:
    `setDisabledStyle` in class `UIPanelMenuItem`
  Parameters:
    `disabledStyle` - - new value

### getDisabledStyle

    public java.lang.String getDisabledStyle()

  CSS style rules to be applied to disabled items. Getter for disabledStyle

  Specified by:
    `getDisabledStyle` in class `UIPanelMenuItem`
  Returns:
    disabledStyle value from local variable or value bindings

### setIconClass

    public void setIconClass(java.lang.String __iconClass)

  Class to be applied to icon element. Setter for iconClass

  Specified by:
    `setIconClass` in class `UIPanelMenuItem`
  Parameters:
    `iconClass` - - new value

### getIconClass

    public java.lang.String getIconClass()

  Class to be applied to icon element. Getter for iconClass

  Specified by:
    `getIconClass` in class `UIPanelMenuItem`
  Returns:
    iconClass value from local variable or value bindings

### setTarget

    public void setTarget(java.lang.String __target)

  Target frame for action to execute. Setter for target

  Specified by:
    `setTarget` in class `UIPanelMenuItem`
  Parameters:
    `target` - - new value

### getTarget

    public java.lang.String getTarget()

  Target frame for action to execute. Getter for target

  Specified by:
    `getTarget` in class `UIPanelMenuItem`
  Returns:
    target value from local variable or value bindings

### setHoverStyle

    public void setHoverStyle(java.lang.String __hoverStyle)

  CSS style rules to be applied to hovered items. Setter for hoverStyle

  Specified by:
    `setHoverStyle` in class `UIPanelMenuItem`
  Parameters:
    `hoverStyle` - - new value

### getHoverStyle

    public java.lang.String getHoverStyle()

  CSS style rules to be applied to hovered items. Getter for hoverStyle

  Specified by:
    `getHoverStyle` in class `UIPanelMenuItem`
  Returns:
    hoverStyle value from local variable or value bindings

### setIconDisabled

    public void setIconDisabled(java.lang.String __iconDisabled)

  Path to the icon to be displayed for the disabled item state Setter for iconDisabled

  Specified by:
    `setIconDisabled` in class `UIPanelMenuItem`
  Parameters:
    `iconDisabled` - - new value

### getIconDisabled

    public java.lang.String getIconDisabled()

  Path to the icon to be displayed for the disabled item state Getter for iconDisabled

  Specified by:
    `getIconDisabled` in class `UIPanelMenuItem`
  Returns:
    iconDisabled value from local variable or value bindings

### setStyleClass

    public void setStyleClass(java.lang.String __styleClass)

  Corresponds to the HTML class attribute Setter for styleClass

  Specified by:
    `setStyleClass` in class `UIPanelMenuItem`
  Parameters:
    `styleClass` - - new value

### getStyleClass

    public java.lang.String getStyleClass()

  Corresponds to the HTML class attribute Getter for styleClass

  Specified by:
    `getStyleClass` in class `UIPanelMenuItem`
  Returns:
    styleClass value from local variable or value bindings

### setOnkeypress

    public void setOnkeypress(java.lang.String __onkeypress)

  HTML: a script expression; a key is pressed and released Setter for onkeypress

  Parameters:
    `onkeypress` - - new value

### getOnkeypress

    public java.lang.String getOnkeypress()

  HTML: a script expression; a key is pressed and released Getter for onkeypress

  Returns:
    onkeypress value from local variable or value bindings

### setIcon

    public void setIcon(java.lang.String __icon)

  Path to the icon or the default one name to be displayed for the enabled item state Setter for icon

  Specified by:
    `setIcon` in class `UIPanelMenuItem`
  Parameters:
    `icon` - - new value

### getIcon

    public java.lang.String getIcon()

  Path to the icon or the default one name to be displayed for the enabled item state Getter for icon

  Specified by:
    `getIcon` in class `UIPanelMenuItem`
  Returns:
    icon value from local variable or value bindings

### setOndblclick

    public void setOndblclick(java.lang.String __ondblclick)

  HTML: a script expression; a pointer button is double-clicked Setter for ondblclick

  Parameters:
    `ondblclick` - - new value

### getOndblclick

    public java.lang.String getOndblclick()

  HTML: a script expression; a pointer button is double-clicked Getter for ondblclick

  Returns:
    ondblclick value from local variable or value bindings

### setStyle

    public void setStyle(java.lang.String __style)

  CSS style(s) is/are to be applied when this component is rendered Setter for style

  Specified by:
    `setStyle` in class `UIPanelMenuItem`
  Parameters:
    `style` - - new value

### getStyle

    public java.lang.String getStyle()

  CSS style(s) is/are to be applied when this component is rendered Getter for style

  Specified by:
    `getStyle` in class `UIPanelMenuItem`
  Returns:
    style value from local variable or value bindings

### setName

    public void setName(java.lang.String __name)

  'selectedChild' attribute of PanelMenu refers to group/item with the same name Setter for name

  Specified by:
    `setName` in class `UIPanelMenuItem`
  Parameters:
    `name` - - new value

### getName

    public java.lang.String getName()

  'selectedChild' attribute of PanelMenu refers to group/item with the same name Getter for name

  Specified by:
    `getName` in class `UIPanelMenuItem`
  Returns:
    name value from local variable or value bindings

### setOnmouseover

    public void setOnmouseover(java.lang.String __onmouseover)

  HTML: a script expression; a pointer is moved onto Setter for onmouseover

  Parameters:
    `onmouseover` - - new value

### getOnmouseover

    public java.lang.String getOnmouseover()

  HTML: a script expression; a pointer is moved onto Getter for onmouseover

  Returns:
    onmouseover value from local variable or value bindings

### setDisabledClass

    public void setDisabledClass(java.lang.String __disabledClass)

  Class to be applied to disabled items. Setter for disabledClass

  Specified by:
    `setDisabledClass` in class `UIPanelMenuItem`
  Parameters:
    `disabledClass` - - new value

### getDisabledClass

    public java.lang.String getDisabledClass()

  Class to be applied to disabled items. Getter for disabledClass

  Specified by:
    `getDisabledClass` in class `UIPanelMenuItem`
  Returns:
    disabledClass value from local variable or value bindings

### setOnkeyup

    public void setOnkeyup(java.lang.String __onkeyup)

  HTML: a script expression; a key is released Setter for onkeyup

  Parameters:
    `onkeyup` - - new value

### getOnkeyup

    public java.lang.String getOnkeyup()

  HTML: a script expression; a key is released Getter for onkeyup

  Returns:
    onkeyup value from local variable or value bindings

### setDisabled

    public void setDisabled(boolean __disabled)

  If “true” sets state of the item to disabled state. “false” is default. Setter for disabled

  Specified by:
    `setDisabled` in class `UIPanelMenuItem`
  Parameters:
    `disabled` - - new value

### isDisabled

    public boolean isDisabled()

  If “true” sets state of the item to disabled state. “false” is default. Getter for disabled

  Specified by:
    `isDisabled` in class `UIPanelMenuItem`
  Returns:
    disabled value from local variable or value bindings

### setMode

    public void setMode(java.lang.String __mode)

  Set the submission mode (ajax,server(Default),none) Setter for mode

  Specified by:
    `setMode` in class `UIPanelMenuItem`
  Parameters:
    `mode` - - new value

### getMode

    public java.lang.String getMode()

  Set the submission mode (ajax,server(Default),none) Getter for mode

  Specified by:
    `getMode` in class `UIPanelMenuItem`
  Returns:
    mode value from local variable or value bindings

### setOnclick

    public void setOnclick(java.lang.String __onclick)

  HTML: a script expression; a pointer button is clicked Setter for onclick

  Parameters:
    `onclick` - - new value

### getOnclick

    public java.lang.String getOnclick()

  HTML: a script expression; a pointer button is clicked Getter for onclick

  Returns:
    onclick value from local variable or value bindings

### setOnmouseout

    public void setOnmouseout(java.lang.String __onmouseout)

  HTML: a script expression; a pointer is moved away Setter for onmouseout

  Parameters:
    `onmouseout` - - new value

### getOnmouseout

    public java.lang.String getOnmouseout()

  HTML: a script expression; a pointer is moved away Getter for onmouseout

  Returns:
    onmouseout value from local variable or value bindings

### setOnkeydown

    public void setOnkeydown(java.lang.String __onkeydown)

  HTML: a script expression; a key is pressed down Setter for onkeydown

  Parameters:
    `onkeydown` - - new value

### getOnkeydown

    public java.lang.String getOnkeydown()

  HTML: a script expression; a key is pressed down Getter for onkeydown

  Returns:
    onkeydown value from local variable or value bindings

### setOnmousedown

    public void setOnmousedown(java.lang.String __onmousedown)

  HTML: script expression; a pointer button is pressed down Setter for onmousedown

  Parameters:
    `onmousedown` - - new value

### getOnmousedown

    public java.lang.String getOnmousedown()

  HTML: script expression; a pointer button is pressed down Getter for onmousedown

  Returns:
    onmousedown value from local variable or value bindings

### setLabel

    public void setLabel(java.lang.Object __label)

  Defines representation text for menuItem. Setter for label

  Specified by:
    `setLabel` in class `UIPanelMenuItem`
  Parameters:
    `label` - - new value

### getLabel

    public java.lang.Object getLabel()

  Defines representation text for menuItem. Getter for label

  Specified by:
    `getLabel` in class `UIPanelMenuItem`
  Returns:
    label value from local variable or value bindings

### setIconStyle

    public void setIconStyle(java.lang.String __iconStyle)

  CSS style rules to be applied Setter for iconStyle

  Specified by:
    `setIconStyle` in class `UIPanelMenuItem`
  Parameters:
    `iconStyle` - - new value

### getIconStyle

    public java.lang.String getIconStyle()

  CSS style rules to be applied Getter for iconStyle

  Specified by:
    `getIconStyle` in class `UIPanelMenuItem`
  Returns:
    iconStyle value from local variable or value bindings

### setOnmouseup

    public void setOnmouseup(java.lang.String __onmouseup)

  HTML: script expression; a pointer button is released Setter for onmouseup

  Parameters:
    `onmouseup` - - new value

### getOnmouseup

    public java.lang.String getOnmouseup()

  HTML: script expression; a pointer button is released Getter for onmouseup

  Returns:
    onmouseup value from local variable or value bindings

### setOnmousemove

    public void setOnmousemove(java.lang.String __onmousemove)

  HTML: a script expression; a pointer is moved within Setter for onmousemove

  Parameters:
    `onmousemove` - - new value

### getOnmousemove

    public java.lang.String getOnmousemove()

  HTML: a script expression; a pointer is moved within Getter for onmousemove

  Returns:
    onmousemove value from local variable or value bindings

### getFamily

    public java.lang.String getFamily()

  Overrides:
    `getFamily` in class `javax.faces.component.UICommand`

### saveState

    public java.lang.Object saveState(javax.faces.context.FacesContext context)

  Specified by:
    `saveState` in interface `javax.faces.component.StateHolder`
  Overrides:
    `saveState` in class `javax.faces.component.UICommand`

### restoreState

    public void restoreState(javax.faces.context.FacesContext context,
                             java.lang.Object state)

  Specified by:
    `restoreState` in interface `javax.faces.component.StateHolder`
  Overrides:
    `restoreState` in class `javax.faces.component.UICommand`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007. All Rights Reserved.